;***********************************************************
;* RCTimer 50A with all FETs on PORTD                      *
;* Same sense and FET pins as TowerPro "type 1" boards,    *
;* but with different FET pin ordering                     *
;* Note: Newer 50A are the same but with inverted high/low *
;* For newer 50A boards (TQFP), use the hk200a target      *
;* Original fuses are lfuse:0xbf hfuse:0xc1                *
;***********************************************************

.equ	F_CPU		= 16000000
.equ	USE_INT0	= 1
.equ	USE_I2C		= 0
.equ	USE_UART	= 0
.equ	USE_ICP		= 0

;.equ	DEAD_LOW_NS	= 2200
;.equ	DEAD_HIGH_NS	= 24000
;.equ	MOTOR_ADVANCE	= 14
;.equ    MIN_DUTY        = 320
;.equ    POWER_RANGE     = 400 + MIN_DUTY

;*********************
; PORT D definitions *
;*********************
;.equ	txd		= 1
;.equ	rxd		= 0

.equ	rcp_in		= 2	;32 i r/c pulse input
.equ	ApFET		= 3 ;1 o
.equ	BpFET		= 4 ;2  o
.equ	CpFET		= 5 ;9 o
;.equ	c_comp		= 6	;10 i common comparator input (AIN0)
.equ	StatLED		= 7

.equ	INIT_PD		=  0 ;(1<<txd)
.equ	DIR_PD		= (1<<ApFET)+(1<<BpFET)+(1<<CpFET) ;+(1<<txd) ;+(1<<StatLED) ;+(1<<AnFET)+(1<<BnFET)+(1<<CnFET)

.equ	ApFET_port	= PORTD
.equ	BpFET_port	= PORTD
.equ	CpFET_port	= PORTD

.MACRO GRN_on
	sbi	DDRD, StatLED ;PORTD ;DDRD
.ENDMACRO
.MACRO GRN_off
	cbi	DDRD, StatLED ;PORTD ;DDRD
.ENDMACRO

;*********************
; PORT C definitions *
;*********************
.equ	mux_voltage	= 7	; ADC7 voltage input (47k from Vbat, 2.0k to gnd, 14.7V in -> .598V at ADC7)
;.equ			= 6	; ADC6
;.equ			= 5	; ADC5
.equ	mux_a		= 0 ;23 ADC0 phase input
.equ	mux_b		= 1 ;24 ADC1 phase input
.equ	mux_c		= 2 ;25 ADC2 phase input
.equ	WarnLED		= 3	;26 o

.equ	O_POWER		= 47
.equ	O_GROUND	= 2

.equ	INIT_PC		= 0 ;(1<<WarnLED)+(1<<StatLED)
.equ	DIR_PC		= 0 ;(1<<WarnLED)

;sbi	DDRC, PowerLED

.MACRO RED_on
	sbi	DDRC, WarnLED ;PORTC ;DDRC
.ENDMACRO
.MACRO RED_off
	cbi	DDRC, WarnLED ;PORTC ;DDRC
.ENDMACRO


;*********************
; PORT B definitions *
;*********************
.equ	AnFET		= 3 ;15  o
.equ	BnFET		= 2 ;14  o
.equ	CnFET		= 1 ;13  o
;.equ			= 7
;.equ			= 6
;.equ			= 5	(sck stk200 interface)
;.equ			= 4	(miso stk200 interface)
;.equ			= 3	(mosi stk200 interface)
;.equ			= 2
;.equ			= 1
;.equ			= 0

.equ	INIT_PB		= 0 ;(1<<AnFET)+(1<<BnFET)+(1<<CnFET) ;0
.equ	DIR_PB		= (1<<AnFET)+(1<<BnFET)+(1<<CnFET) ;0

.equ	AnFET_port	= PORTB
.equ	BnFET_port	= PORTB
.equ	CnFET_port	= PORTB

